Author Topic: addon wordpress install and php version change  (Read 549 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
addon wordpress install and php version change
« on: October 22, 2019, 02:09:47 AM »
If you install wordpress using the 'Addons -> Wordpress', when logging into the wordpress admin panel it complains about the php version (5.6) being insecure.

If you change the php version by 'php settings -> php version switcher' then the wordpress install fails. Why?
The addons.php script was encoding by ioncube and it only supports php version 5.6

This is very broken. Is there a fix? I've paid for the CWPro version.

Thanks

Offline
***
Re: addon wordpress install and php version change
« Reply #1 on: October 23, 2019, 11:19:21 AM »
Actually I was logged into a new clients cpanel on Siteground this morning and I saw a warning that even php7.1 is no longer support as of a day or so ago...so one needs a minimum 7.2 now. Anyone still using php5.6 shouldn't.

In terms of this problem...I have zero faith in the CWP WordPress script...it's never worked for me, so I just do one of the following

Install from " Installatron Remote" which is a good solution if you can get it working with CWP. Or,
Install  WordPress manually (which is dead easy to be honest (5 minutes)

I haven't checked ioncube version on my cwp pro. I just assumed it was latest version. I will be pretty disappointed if it's still one that old that it requires php5.6.
« Last Edit: October 23, 2019, 11:25:51 AM by adamjedgar »

Offline
*
Re: addon wordpress install and php version change
« Reply #2 on: October 23, 2019, 11:33:50 AM »
I am using php 7.2.18 on my cwp pro server and the WordPress addon script works fine. I find no issues with it, except that after using the script i need to visit the site and complete the installation process by choosing the language of install.

Offline
***
Re: addon wordpress install and php version change
« Reply #3 on: October 23, 2019, 01:57:36 PM »
Last time I tried using WordPress script, the installer still wasn't working with database password...so one would have to go in and manually fix it. Has that now been resolved? Also, password reset for it in cwp was not working either.

Offline
***
Re: addon wordpress install and php version change
« Reply #4 on: October 24, 2019, 04:51:08 AM »
Last time I tried using WordPress script, the installer still wasn't working with database password...so one would have to go in and manually fix it. Has that now been resolved? Also, password reset for it in cwp was not working either.

Don't use special characters for your password.

Offline
*
Re: addon wordpress install and php version change
« Reply #5 on: November 10, 2019, 04:55:16 PM »

Usually to solve this connection problem with the MySql database when you upgrade PHP you need to insert this string in wp-config.php and reload the home of the website through which you can repair the connection:

define(‘WP_ALLOW_REPAIR’, true);

Obviously after making a backup because if it fails you risk losing your data.